/*
 * Copyright (c) 2012 Apple Inc. All Rights Reserved.
 * 
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

//
//  timestampclient.h
//  libsecurity_keychain
//

#import <Foundation/Foundation.h>

// See NSURLConnection completion handler
typedef void (^TSARequestCompletionBlock)(NSURLResponse *response, NSData *data, NSError *err);

void sendTSARequest(CFDataRef tsaReq, const char *tsaURL, TSARequestCompletionBlock completionBlock);

@interface TimeStampClient : NSObject
{
    __weak id delegate;
    NSURL *url;
    NSMutableURLRequest *urlRequest;
}
@property (weak) id delegate;
@property (retain) id url;
@property (retain) id urlRequest;

- (id)initWithURLString:(NSString *)urlStr;
- (void)post: (NSData *)data;
- (void)start3:(TSARequestCompletionBlock)completionBlock;

@end
